#!/bin/sh


# Script to create afa entries in dev  for LINUX ONLY
# This script opens a node at run time. It gets the major
# no of the aacdev and then opens a node with the major number.
# If the afa node is already present, it removes the node first
# and then creates a fresh node.


# Get the major number of the megadev ioctl node
MAJOR=`grep aac /proc/devices|awk '{print $1}'`
echo $MAJOR
if [ ! x$MAJOR = x ]
then
	# major device number found
	for(( i = 0 ; i <= 15 ; i++))
	do
	rm -f /dev/afa$i 	# remove if already there, ignore if not.
	mknod /dev/afa$i  c $MAJOR $i
	echo $i
	done
fi



